Bug 1302543 - [abrt] geany: PyEval_GetGlobals(): geany killed by SIGSEGV
[abrt] geany: PyEval_GetGlobals(): geany killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: geany (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fb0957e44177db1aef37391106d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 01:24 EST by Danie de Jager
Modified: 2016-08-01 12:22 EDT (History)
5 users (show)

See Also:
Fixed In Version: geany-1.28-2.fc24 geany-1.28-2.fc23 geany-1.28-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-12 16:25:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.40 KB, text/plain)
2016-01-28 01:24 EST, Danie de Jager
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-28 01:24 EST, Danie de Jager
no flags Details
File: core_backtrace (4.37 KB, text/plain)
2016-01-28 01:24 EST, Danie de Jager
no flags Details
File: dso_list (9.78 KB, text/plain)
2016-01-28 01:24 EST, Danie de Jager
no flags Details
File: environ (1.61 KB, text/plain)
2016-01-28 01:24 EST, Danie de Jager
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-28 01:24 EST, Danie de Jager
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-28 01:24 EST, Danie de Jager
no flags Details
File: maps (48.40 KB, text/plain)
2016-01-28 01:24 EST, Danie de Jager
no flags Details
File: mountinfo (3.47 KB, text/plain)
2016-01-28 01:24 EST, Danie de Jager
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-28 01:24 EST, Danie de Jager
no flags Details
File: open_fds (892 bytes, text/plain)
2016-01-28 01:24 EST, Danie de Jager
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-01-28 01:24 EST, Danie de Jager
no flags Details
File: var_log_messages (686 bytes, text/plain)
2016-01-28 01:24 EST, Danie de Jager
no flags Details

  None (edit)
Description Danie de Jager 2016-01-28 01:24:05 EST
Description of problem:
I installed the Python plugin for Geany. It is for version 1.25 though. As soon as I enable the plugin Geany dies.

I have installed:
geany-plugins-addons-1.25-4.fc23.x86_64
geany-libgeany-1.26-1.fc23.x86_64
geany-plugins-common-1.25-4.fc23.x86_64
geany-1.26-1.fc23.x86_64
geany-plugins-geanypy-1.25-4.fc23.x86_64

Version-Release number of selected component:
geany-1.26-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        geany
crash_function: PyEval_GetGlobals
executable:     /usr/bin/geany
global_pid:     29311
kernel:         4.3.3-303.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 PyEval_GetGlobals at /usr/src/debug/Python-2.7.10/Python/ceval.c:3897
 #2 PyImport_Import at /usr/src/debug/Python-2.7.10/Python/import.c:2859
 #3 PyImport_ImportModule at /usr/src/debug/Python-2.7.10/Python/import.c:2133
 #4 signal_manager_new at geanypy-signalmanager.c:48
 #5 plugin_init at geanypy-plugin.c:250
 #6 legacy_init at plugins.c:441
 #7 plugin_load at plugins.c:562
 #8 plugin_new at plugins.c:723
 #9 pm_plugin_toggled at plugins.c:1491
 #10 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1794

Potential duplicate: bug 1157632
Comment 1 Danie de Jager 2016-01-28 01:24:13 EST
Created attachment 1119026 [details]
File: backtrace
Comment 2 Danie de Jager 2016-01-28 01:24:14 EST
Created attachment 1119027 [details]
File: cgroup
Comment 3 Danie de Jager 2016-01-28 01:24:16 EST
Created attachment 1119028 [details]
File: core_backtrace
Comment 4 Danie de Jager 2016-01-28 01:24:18 EST
Created attachment 1119029 [details]
File: dso_list
Comment 5 Danie de Jager 2016-01-28 01:24:20 EST
Created attachment 1119030 [details]
File: environ
Comment 6 Danie de Jager 2016-01-28 01:24:22 EST
Created attachment 1119031 [details]
File: exploitable
Comment 7 Danie de Jager 2016-01-28 01:24:24 EST
Created attachment 1119032 [details]
File: limits
Comment 8 Danie de Jager 2016-01-28 01:24:27 EST
Created attachment 1119033 [details]
File: maps
Comment 9 Danie de Jager 2016-01-28 01:24:29 EST
Created attachment 1119034 [details]
File: mountinfo
Comment 10 Danie de Jager 2016-01-28 01:24:31 EST
Created attachment 1119035 [details]
File: namespaces
Comment 11 Danie de Jager 2016-01-28 01:24:33 EST
Created attachment 1119036 [details]
File: open_fds
Comment 12 Danie de Jager 2016-01-28 01:24:35 EST
Created attachment 1119037 [details]
File: proc_pid_status
Comment 13 Danie de Jager 2016-01-28 01:24:37 EST
Created attachment 1119038 [details]
File: var_log_messages
Comment 14 Fedora Update System 2016-07-11 06:56:54 EDT
geany-1.28-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc288ce5ae
Comment 15 Fedora Update System 2016-07-11 06:57:37 EDT
geany-1.28-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2bdc17945b
Comment 16 Fedora Update System 2016-07-11 06:58:04 EDT
geany-1.28-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0953f0b536
Comment 17 Fedora Update System 2016-07-11 06:58:32 EDT
geany-1.28-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d68edce8de
Comment 18 Fedora Update System 2016-07-11 22:53:42 EDT
geany-1.28-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0953f0b536
Comment 19 Fedora Update System 2016-07-11 23:27:03 EDT
geany-1.28-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d68edce8de
Comment 20 Fedora Update System 2016-07-11 23:55:02 EDT
geany-1.28-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc288ce5ae
Comment 21 Fedora Update System 2016-07-11 23:58:41 EDT
geany-1.28-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2bdc17945b
Comment 22 Fedora Update System 2016-07-12 16:25:08 EDT
geany-1.28-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2016-07-19 18:21:56 EDT
geany-1.28-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2016-08-01 12:21:55 EDT
geany-1.28-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.